petsc-3.4.2 2013-07-02

# DMPlexVecGetClosure

Get an array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecGetClosure(DM dm, PetscSection section, Vec v, PetscInt point, PetscInt *csize, PetscScalar *values[])

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in v, or NULL to use the default section
| v | - The local vector
| point | - The sieve point in the DM

### Output Parameters

| csize | - The number of values in the closure, or NULL
| values | - The array of values, which is a borrowed array and should not be freed

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

The csize argument is not present in the Fortran 90 binding since it is internal to the array.

### See Also

DMPlexVecRestoreClosure(), DMPlexVecSetClosure(), DMPlexMatSetClosure()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html